function mefplot(data)
% MEFPLOT makes a plot of the mean-excess function values of  the 
%  data set.
% 
%  The only argument is the data set. 
%
%  Revised Kevin Dowd, November 11th, 2001. 
% ********************************************************
data=sort(data);   
u=data;
n=length(u);
for i=1:n-1
    data=data(find(data>u(i)));
    mef(i)=mean(data)-u(i);
end
u=u';
u(u==max(u))=[];
plot(u,mef);
xlabel('Threshold (u)','Fontweight','bold');
ylabel('e(u)','rotation',0,'horizontal','right','Fontweight','bold');
title(['Empirical Mean Excess Function'],'FontSize',12,'Fontweight','bold');

   