function y=maximumcopulavar(cl)
% MAXIMUMCOPULAVAR Estimates the VaR of a two-asset portfolio with normal marginals using maximum copula
%
% This function estimates the VaR of a two asset portfolio using a maximum copula. The returns of the two assets
% are assumed to be derived from standard normal marginal distributions.
%
% The input argument is the VaR confidence level.
% 
% Revised by Kevin Dowd, April 6th, 2001.
% *****************************************************************************************
%
no_of_iterations=100000;

x=randn(no_of_iterations,1);
y=randn(no_of_iterations,1);

PandL=(x+y)/2;

u=normcdf(x);
v=normcdf(y);

OS=ceil(no_of_iterations*(1-cl));

% Maximum copula

cdf1=max(u+v-1,0);
S1=[cdf1 PandL]; 
Z1=sort(S1);
maxvar=-Z1(OS,2);

%

y=maxvar;
