function y=jarquebera_backtest(sample_skewness,sample_kurtosis,n)
% Function derives the Jarque-Bera backtest.
%
% The first argument is the sample skewness, the second
% is the sample kurtosis, and third is the number of observations n. 
% 
% Ouput is JB test statistic and associated prob value.
% 
% Revised by Kevin Dowd, Feb 28, 2005.
% *****************************************************************************************
%
n
s=sample_skewness
k=sample_kurtosis
jb_test_stat=(n/6)*(s^2+(k-3)^2/4)
prob_value_of_null=1-chi2cdf(jb_test_stat,2)