function y=hillplot(data,maximum_tail_size)
% HILLPLOT Displays a plot of the Hill estimator against tail sample size.
%   
% The arguments are: the data set, and the maximum tail size.
%
%  Revised Kevin Dowd, November 11th, 2001. 
% *************************************************************8
data=sort(data);
n=length(data);
i=find(data<=0); 
i=max(i);
n-i;
max_k=min(maximum_tail_size,n-i);
%
% Derivation of Hill estimators and tail size series
% 
for k=2:max_k
   he(k)=hillestimator(data,k);
end
%
% Plot of Hill estimator against tail size
% 
j=find(he);
he=he(j);
k=2:max_k;
plot(k,he);
xlabel('Number of observations in tail (k)','Fontweight','bold');
ylabel('Hill estimator','rotation',90,'horizontal','center','Fontweight','bold');
title(['Hill Estimator against Tail Size'],'FontSize',12,'Fontweight','bold');

   