function gparetomefplot(x,mu,beta,zeta)
% GPARETOMEFPLOT Displays plots of empirical and GP mean-excess-functions.
%   
%  Displays plots of empirical mean-excess function and generalised Pareto 
% mean-excess function. 
%
% The first argument is the data set, the second, third and fourth are the assumed
% values of the location, scale and tail index parameters.
%
%  Revised Kevin Dowd, November 11th, 2001. 
% ***********************************************************************
x=sort(x);   
u=x;
n=length(u);
for i=1:n-1
    x=x(find(x>u(i)));
    mef(i)=mean(x)-u(i);
end
u=u';
u(u==max(u))=[];
gpmef=(1+zeta*(u-mu)/beta)/(1-zeta);
plot(u,mef,u,gpmef);
xlabel('Threshold (u)','Fontweight','bold');
ylabel('e(u)','rotation',0,'horizontal','right','Fontweight','bold');
title(['Empirical and Generalised Pareto Mean Excess Functions'],'FontSize',12,'Fontweight','bold');

   