function table6point1(omega,alpha,beta,m)
% This produces data for table 6.1
% *****************************************************************************************
omega
alpha
beta
%
% Random number generation
%
state = 137;
randn('state', state);
data=normrnd(0,1,1,1000);
z=normrnd(0,1,m,1);
%
sigma(1)=sqrt(omega/(1-alpha-beta)); % Set sigma(1) to long-run value
LV_vol=sigma(1)
r(1)=LV_vol*z(1); 
for t=2:m
    variance(t)=omega+alpha*r(t-1)^2+beta*sigma(t-1)^2;
    sigma(t)=sqrt(variance(t));
    r(t)=sigma(t)*z(t);
end
%
% Moments of r
%
mean_r=mean(r)
std_r=std(r)
skewness_r=skewness(r)
kurtosis_r=kurtosis(r)
%
hist(r,50)
